# /home/seamonkey/.config/tmuxinator/ephemery.yml

name: ephemery
root: /home/seamonkey/ephemery/

# Runs in each window and pane before window/pane specific commands. 
pre_window: source /mnt/eth/ephemery/nodevars_env.txt

windows:
  - prysm-geth:
      layout: even-vertical
      panes:
        - ./go-ethereum/build/bin/geth --metrics --metrics.port 6070 --metrics.addr 127.0.0.1 --datadir /mnt/eth/ephemery/prysm-geth --http --http.port 8546 --http.api="engine,eth,web3,net,debug,txpool" --http.corsdomain "*" --syncmode=snap --authrpc.jwtsecret=/mnt/eth/jwtsecret console --nat=extip:1.2.3.4 --port 23439 --authrpc.port 8557 --state.scheme=path --bootnodes $BOOTNODE_ENODE_LIST --http.addr "192.168.0.2"
        - cd prysm && bazelisk run //cmd/beacon-chain -- --datadir /mnt/eth/ephemery/prysm-geth --execution-endpoint=http://localhost:8557 --p2p-tcp-port 23440 --p2p-udp-port 23444 --p2p-host-ip "1.2.3.4" --rpc-port 4008 --grpc-gateway-port 3508 --monitoring-port 8094 --suggested-fee-recipient "0xA721da3d06813E764E94A23E377cC3E1729fCFD5"  --jwt-secret=/mnt/eth/jwtsecret --chain-config-file /mnt/eth/ephemery/config.yaml --p2p-max-peers 30 --bootstrap-node $BOOTNODE_ENODE --genesis-state /mnt/eth/ephemery/genesis.ssz --bootstrap-node /mnt/eth/ephemery/boot_enr.yaml 
        - cd prysm && bazelisk run //cmd/validator -- --wallet-dir /mnt/eth/ephemery/prysm-geth --graffiti "prysm-geth seamonkey.tech" --beacon-rpc-provider 127.0.0.1:4008 --monitoring-port 8098 --suggested-fee-recipient "0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --datadir /mnt/eth/ephemery/prysm-geth --config-file /mnt/eth/ephemery/config.yaml --wallet-password-file /mnt/eth/ephemery/walletpassword.txt
  - lighthouse-besu:
      layout: even-vertical
      panes:
      - ./besu/build/install/besu/bin/besu --data-path /mnt/eth/ephemery/lighthouse-besu --genesis-file=/mnt/eth/ephemery/besu.json --rpc-http-enabled=true --rpc-http-host="0.0.0.0" --rpc-http-cors-origins="*" --host-allowlist="*" --engine-host-allowlist="*" --engine-jwt-secret=/mnt/eth/jwtsecret --p2p-port 23441 --rpc-http-port=8571 --p2p-host "1.2.3.4" --engine-rpc-port=8572 --data-storage-format=BONSAI --sync-mode=CHECKPOINT --network-id 39438140 --bootnodes=$BOOTNODE_ENODE_LIST
      - ./lighthouse/target/release/lighthouse -t /mnt/eth/ephemery --debug-level info beacon_node --datadir /mnt/eth/ephemery/lighthouse-besu --eth1 --http --metrics --execution-endpoints http://127.0.0.1:8572 --enr-udp-port=23442 --enr-tcp-port=23442 --jwt-secrets="/mnt/eth/jwtsecret" --enr-address 1.2.3.4 --port 23442 --graffiti "lighthouse-besu seamonkey.tech" --http-port 5063 --metrics-port 5090
      - ./lighthouse/target/release/lighthouse v -d /mnt/eth/ephemery/lighthouse-besu -t /mnt/eth/ephemery --beacon-nodes "http://127.0.0.1:5063" --suggested-fee-recipient="0xA721da3d06813E764E94A23E377cC3E1729fCFD5" --metrics --metrics-port 5073 
